CARG(3)

NAME
carg, cargf, cargl - complex argument functions

SYNOPSIS
libm
#include <complex.h>
double
carg(double complex z);
float
cargf(float complex z);
long double
cargl(long double complex z);

DESCRIPTION
The carg(), cargf() and cargl() functions compute the argument (also called phase angle) of z, with a branch cut on the negative real axis.

RETURN VALUES
The carg(), cargf() and cargl() functions return the argument in the interval [-Pi, Pi].

SEE ALSO
cimag(3)

STANDARDS
The carg(), cargf() and cargl() functions conform to isoC-99.